Bug 1298578 - Bitrot status command showing values showing incorrect values for few fields
Bitrot status command showing values showing incorrect values for few fields
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Venky Shankar
RamaKasturi
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 08:20 EST by Vivek Agarwal
Modified: 2016-01-19 01:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Due to incorrect accounting of scrub statistics, "scrub status" cli command displays incorrect values of stats such as - Number of Scrubbed files - Number of Unsigned files - Last completed scrub time - Duration of last scrub Consequence: Skewed values of scrubber statistics. Fix: Need to correctly account the above mentioned stats taking care of proper coordination between scanner and scrubber threads. Result: As of now, the list of corrupted objects along with the count is the displayed accurately.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 01:52:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivek Agarwal 2016-01-14 08:20:37 EST
Document URL: 

In 3.1.2, bitrot status command is displaying wrong values for some of the fields

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 3 RamaKasturi 2016-01-17 05:21:51 EST
Following are the fields which displays incorrect values.


Number of Scrubbed files, Number of Unsigned files, Last completed scrub time, Duration of last scrub
Comment 4 Anjana Suparna Sriram 2016-01-19 01:52:31 EST
Issue no longer exists (confirmed via email discussion), hence closing the bug.

Note You need to log in before you can comment on or make changes to this bug.